<template>
  <div id="app">
    <div id="navbar" class="navbar is-dark" role="navigation" aria-label="main navigation">
      <div class="navbar-brand">
        <router-link class="navbar-item" :to="{ name:'home' }">
          <img src="~/../assets/img/logo-white.png">
        </router-link>
      </div>

      <div class="navbar-menu">
        <div class="navbar-start">
          <router-link class="navbar-item" :to="{name:'home'}">
            Home
          </router-link>
          <router-link class="navbar-item" :to="{name:'about'}">
            About
          </router-link>
          <router-link class="navbar-item" :to="{name:'dashboard'}">
            Dashboard
          </router-link>
        </div>

        <div class="navbar-end">
          <div class="navbar-item">
          <a href="javascript:null" class="button is-warning" v-if="isLoggedIn" @click="logout">Logout</a>
          <router-link class="button is-success" v-if="!isLoggedIn" :to="{name:'login'}">Login</router-link>
          </div>
        </div>
      </div>
    </div>
    <div class="container">
      {{userInfo}}
    </div>
    <router-view class="main-content"/>
    <footer class="footer">
      <div class="content has-text-centered">
        <p>Golang Boilerplate Web Server by Incyte Studios, LLC</P>
      </div>
    </footer>
  </div>
</template>

<script>
export default {
  methods: {
    logout() {
      this.$store.dispatch("AUTH_LOGOUT").then(() => {
        this.$router.push("/login");
      });
    }
  },
  computed: {
    userInfo() {
      return this.$store.getters.userInfo;
    },
    isLoggedIn() {
      return this.$store.getters.isLoggedIn;
    }
  }
};
</script>

<style lang="scss">
@import "~bulma/sass/utilities/_all";

$primary: $orange;
$link: $primary;

@import "~bulma";
@import "~buefy/src/scss/buefy";

#app {
  display: flex;
  min-height: 100vh;
  flex-direction: column;
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.main-content {
  flex: 1 0 auto;
}
.footer {
}
</style>
